#config/routes.yaml

#actions
logout:
    path: /logout
    controller: App\Controller\MeetingAppController::_logout

#index
index:
    path: /index
    controller: App\Controller\IndexController::indexView

#sign
sign_in_view:
    path: /signIn
    controller: App\Controller\SignController::signInView

sign_up_view:
    path: /signUp
    controller: App\Controller\SignController::signUpView

sign_in:
    path: /signIn/{mail}/{pwd}
    controller: App\Controller\SignController::signIn

sign_up:
    path: /signUp
    controller: App\Controller\SignController::signUp

#menu
menu_view:
    path: /menu
    controller: App\Controller\MenuController::menuView

fetch_meetings:
    path: /menu/fetchAllMeetings
    controller: App\Controller\MenuController::fetchAllMeetings

#meeting
create_meeting_view:
    path: /meeting/create
    controller: App\Controller\MeetingController::createMeetingView

create_meeting_ajax:
    path: /ajax/meeting/create
    controller: App\Controller\MeetingController::createMeetingAJAX
    methods: [post]

update_meeting_ajax:
    path: /ajax/meeting/update
    controller: App\Controller\MeetingController::updateMeetingAJAX
    methods: [post]

save_attendees_ajax:
    path: /ajax/meeting/saveAttendees
    controller: App\Controller\MeetingController::saveAttendeesAJAX
    methods: [post]

get_meeting_id_ajax:
    path: /ajax/meeting/getId
    controller: App\Controller\MeetingController::getMeetingIdAJAX
    methods: [post]

delete_meeting_ajax:
    path: /ajax/meeting/delete
    controller: App\Controller\MeetingController::deleteMeetingAJAX
    methods: [post]

save_meeting_tags_ajax:
    path: /ajax/meeting/saveMeetingTags
    controller: App\Controller\MeetingController::saveMeetingTagsAJAX
    methods: [post]

save_tag_ajax:
    path: /ajax/meeting/saveTag
    controller: App\Controller\MeetingController::saveTagAJAX
    methods: [post]

get_existing_attendees_ajax:
    path: /ajax/meeting/getExistingAttendees
    controller: App\Controller\MeetingController::getExistingAttendeesAJAX
    methods: [get]

meeting_sheet_view:
    path: /meeting/show/{meetingId}
    controller: App\Controller\MeetingController::meetingSheetView

create_meeting_report_pdf:
    path: /meeting/create-report/{meetingId}
    controller: App\Controller\MeetingController::createMeetingReportPDF

send_meeting_report_pdf_ajax:
    path: /ajax/meeting/send-report
    controller: App\Controller\MeetingController::sendMeetingReportPDFAJAX
    methods: [post]